OpenStack Compute (Nova)

instance_actions table has excessive amount of information

Reported by Antony Messerli on 2011-10-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Josh Kearney

Bug Description

running trunk, instance_actions tables has an excessive amount of data over a small period of time. It also looks like the instance ids are incorrect.

select * from instance_actions limit 10;

+---------------------+------------+------------+---------+----+-------------+------------------------+-------+
| created_at | updated_at | deleted_at | deleted | id | instance_id | action | error |
+---------------------+------------+------------+---------+----+-------------+------------------------+-------+
| 2011-08-30 17:42:27 | NULL | NULL | 0 | 1 | -73690 | Async.host.call_plugin | NULL |
| 2011-08-30 17:43:30 | NULL | NULL | 0 | 2 | -73601 | Async.host.call_plugin | NULL |
| 2011-08-30 17:43:30 | NULL | NULL | 0 | 3 | -74689 | Async.host.call_plugin | NULL |
| 2011-08-30 17:43:30 | NULL | NULL | 0 | 4 | -70831 | Async.host.call_plugin | NULL |
| 2011-08-30 17:43:30 | NULL | NULL | 0 | 5 | -73915 | Async.host.call_plugin | NULL |
| 2011-08-30 17:43:30 | NULL | NULL | 0 | 6 | -70753 | Async.host.call_plugin | NULL |
| 2011-08-30 17:43:30 | NULL | NULL | 0 | 7 | -77776 | Async.host.call_plugin | NULL |
| 2011-08-30 17:43:30 | NULL | NULL | 0 | 8 | -79456 | Async.host.call_plugin | NULL |
| 2011-08-30 17:43:30 | NULL | NULL | 0 | 9 | -75467 | Async.host.call_plugin | NULL |
| 2011-08-30 17:43:30 | NULL | NULL | 0 | 10 | -77749 | Async.host.call_plugin | NULL |
+---------------------+------------+------------+---------+----+-------------+------------------------+-------+

Josh Kearney (jk0) on 2011-10-14
Changed in nova:
status: New → Fix Committed
status: Fix Committed → In Progress
assignee: nobody → Josh Kearney (jk0)
Josh Kearney (jk0) on 2011-10-17
Changed in nova:
importance: Undecided → High

Reviewed: https://review.openstack.org/924
Committed: http://github.com/openstack/nova/commit/9eefcd3aa7cfad2e0c3753695ae63f6b384b1c00
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 9eefcd3aa7cfad2e0c3753695ae63f6b384b1c00
Author: Josh Kearney <email address hidden>
Date: Tue Oct 18 13:33:00 2011 -0500

    Only log instance actions once if instance action logging is enabled (now disabled by default).

    Fixes bug 874487.

    Change-Id: I25b4e82bd71ab8073953d5ddbcb013757619d548

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2011-11-09
Changed in nova:
milestone: none → essex-1
Thierry Carrez (ttx) on 2011-11-17
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers